Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.action
Class ExternalActionManager

    java.lang.Object
      org.eclipse.jface.action.ExternalActionManager

public final class ExternalActionManager
extends Object

A manager for a callback facility which is capable of querying external interfaces for additional information about actions and action contribution items. This information typically includes things like accelerators and textual representations.

For example, in the Eclipse workbench, this mechanism is used to allow the command architecture to override certain values in action contribution items.

This class is not intended to be called or extended by any external clients. This API is still under flux, and is expected to change in 3.1.

Since:
  3.0

Nested Class Summary
`static interface` | `ExternalActionManager.ICallback` A callback mechanism for some external tool to communicate extra information to actions and action contribution items.

Method Summary
`ExternalActionManager.ICallback` | `getCallback()` An accessor for the current call back.
`static ExternalActionManager` | `getInstance()` Retrieves the current singleton instance of this class.
`void` | `setCallback(ExternalActionManager.ICallback callbackToUse)` A mutator for the current call back

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ExternalActionManager getInstance()

  Retrieves the current singleton instance of this class.

  Returns:
    The singleton instance; this value is never `null`.

### getCallback

    public ExternalActionManager.ICallback getCallback()

  An accessor for the current call back.

  Returns:
    The current callback mechanism being used. This is the callback that should be queried for extra information about actions and action contribution items. This value may be `null` if there is no extra information.

### setCallback

    public void setCallback(ExternalActionManager.ICallback callbackToUse)

  A mutator for the current call back

  Parameters:
    `callbackToUse` - The new callback mechanism to use; this value may be `null` if the default is acceptable (i.e., no extra information will provided to actions).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.